package interfaces;

import javax.swing.JPanel;
import javax.swing.filechooser.FileNameExtensionFilter;
import org.w3c.dom.Document;
import org.xml.sax.SAXException;

/**
 *
 * @author marek
 */
public interface IModule {

    public String[] getExtensions();

    public boolean isFileAcceptable(String url);

    public Document getDocumentFromFile(String url) throws SAXException;

    public String getCode();

    public String getName();

    public javax.swing.ImageIcon getImage();

    public JPanel execute(Document document);
}
