package it4kt.order.data;

import java.util.List;

/**
 * Zakladna definicia otazky mborder, obsahuje nazov otazky, text otazky a mozne odpovede na otazku.
 * @author marek
 */
public class OrderDefinition {

    private String name;
    private String questiontext;
    private List answers;

    /*
     * Vytvaranie definicie otazky.
     */
    public OrderDefinition(String name, String questiontext, List answers) {
        this.name = name;
        this.questiontext = questiontext;
        this.answers = answers;
    }

    /**
     * @return the questiontext
     */
    public String getQuestiontext() {
        return questiontext;
    }

    /**
     * @return the answers
     */
    public List getAnswers() {
        return answers;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
}
