package it4kt.order.utils;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * Trieda, ktora sa stara o obsluhu pri vytvarani DOM struktury z xml
 * Ak xml nekoresponduje zo schemou zavola sa tato trieda.
 * @author marek
 */
public class SimpleErrorHandler implements ErrorHandler {

    public void warning(SAXParseException e) throws SAXException {
        throw new SAXException();
    }

    public void error(SAXParseException e) throws SAXException {
        throw new SAXException();
    }

    public void fatalError(SAXParseException e) throws SAXException {
        throw new SAXException();
    }
}
