package it4kt.partcode.data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author marek
 */
public class Answer {

    private String code;
    private List<String> answers;

    public Answer(String code, String answer) {
        this.code = code;
        this.answers = new ArrayList<String>();
        answers.add(answer);
    }

    public Answer(String code, List<String> answers) {
        this.code = code;
        this.answers = answers;
    }

    /**
     * @return the answers
     */
    public List<String> getAnswers() {
        return answers;
    }

    /**
     * @param answers the answers to set
     */
    public void setAnswer(String answer) {
        this.answers.add(answer);
    }

    public void removeAnswer(String answer) {
        this.answers.remove(answer);
    }

    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * @param code the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }
}
