package it4kt.partcode.data;

/**
 * Zakladna definicia otazky mborder, obsahuje nazov otazky, text otazky a mozne odpovede na otazku.
 * @author marek
 */
public class PartCodeDefinitionConnection {

    private String name;
    private String questiontext;
    private String code;
    private String check_service;
    private String control_wsdl;
    private String control_method;
    private String control_param_name;

    /*
     * Vytvaranie definicie otazky.
     */
    public PartCodeDefinitionConnection(String name, String questiontext, String code, String check_service, String control_wsdl, String control_method, String control_param_name) {
        this.name = name;
        this.code = code;
        this.questiontext = questiontext;
        this.check_service = check_service;
        this.control_wsdl = control_wsdl;
        this.control_method = control_method;
        this.control_param_name = control_param_name;
    }

    /**
     * @return the questiontext
     */
    public String getQuestiontext() {
        return questiontext;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * @param code the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * @return the check_service
     */
    public String getCheck_service() {
        return check_service;
    }

    /**
     * @param check_service the check_service to set
     */
    public void setCheck_service(String check_service) {
        this.check_service = check_service;
    }

    /**
     * @return the control_wsdl
     */
    public String getControl_wsdl() {
        return control_wsdl;
    }

    /**
     * @param control_wsdl the control_wsdl to set
     */
    public void setControl_wsdl(String control_wsdl) {
        this.control_wsdl = control_wsdl;
    }

    /**
     * @return the control_method
     */
    public String getControl_method() {
        return control_method;
    }

    /**
     * @param control_method the control_method to set
     */
    public void setControl_method(String control_method) {
        this.control_method = control_method;
    }

    /**
     * @return the control_param_name
     */
    public String getControl_param_name() {
        return control_param_name;
    }

    /**
     * @param control_param_name the control_param_name to set
     */
    public void setControl_param_name(String control_param_name) {
        this.control_param_name = control_param_name;
    }
}
