package it4kt.partcode.data;

import java.util.List;

/**
 * Zakladna definicia otazky mborder, obsahuje nazov otazky, text otazky a mozne odpovede na otazku.
 * @author marek
 */
public class PartCodeDefinitionText {

    private String name;
    private String questiontext;
    private String code;
    private List<Answer> answers;

    /*
     * Vytvaranie definicie otazky.
     */
    public PartCodeDefinitionText(String name, String questiontext, String code, List<Answer> answers) {
        this.name = name;
        this.code = code;
        this.questiontext = questiontext;
        this.answers = answers;
    }

    /**
     * @return the questiontext
     */
    public String getQuestiontext() {
        return questiontext;
    }

    /**
     * @return the answers
     */
    public List getAnswers() {
        return answers;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * @param code the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }
}
