<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : mborder.xsl
    Created on : Štvrtok, 2012, február 9, 20:09
    Author     : marek
    Description:
        Purpose of transformation follows. 
        Transform jmx hot potatoes file to xml for mborder question.
        name -> title
        questiontext->title
        answers->segments
        Transformation process generate random number to each answer. Random generation of numbers used php function rand.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:php="http://php.net/xsl" version="1.0">
    <xsl:output method="xml"/>

    <xsl:template match="/">
        <question xmlns="http://xml.moodle.org/schema/mborder">
            <name>
                <xsl:value-of select="hotpot-jmix-file/data/title"/>
            </name>
            <questiontext>
                <xsl:value-of select="hotpot-jmix-file/data/title"/>
            </questiontext>
            <answers>
                <xsl:for-each select="hotpot-jmix-file/data/jumbled-order-exercise/main-order/segment">
                    <answer>
                        <answertext>
                            <xsl:value-of select="."/>
                        </answertext>
                        <position>
                            <xsl:value-of select="position() - 1" />
                        </position>
                        <code>
                            <xsl:value-of select="php:function('rand',100000,999999)" />
                        </code>
                    </answer>
                </xsl:for-each>
            </answers>
        </question>
    </xsl:template>
</xsl:stylesheet>
