<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : mborder.xsl
    Created on : Štvrtok, 2012, február 9, 20:09
    Author     : marek
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:java="http://xml.apache.org/xslt/java" version="1.0">
    <xsl:output method="xml"/>


    <xsl:template match="/">
        <question xmlns="http://xml.moodle.org/schema/mborder">
            <name>
                <xsl:value-of select="hotpot-jmix-file/data/title"/>
            </name>
            <questiontext>
                <xsl:value-of select="hotpot-jmix-file/data/title"/>
            </questiontext>
            <answers>
                <xsl:for-each select="hotpot-jmix-file/data/jumbled-order-exercise/main-order/segment">
                    <answer>
                        <answertext>
                            <xsl:value-of select="."/>
                        </answertext>
                        <position>
                            <xsl:value-of select="position() - 1" />
                        </position>
                        <code>
                            <xsl:variable name="random" select="java:java.util.Random.new()"/>
                            <xsl:value-of select="format-number(round(999999 * java:nextDouble($random)), '000000')" />
                        </code>
                    </answer>
                </xsl:for-each>
            </answers>
        </question>
    </xsl:template>

</xsl:stylesheet>
